/**
 * Toggle the expanded state of a tree node by its ID.
 *
 * If the node is currently expanded, it and its descendants will be collapsed.
 * If it is currently collapsed, it will be expanded.
 *
 * @param id - The ID of the tree node to toggle.
 */
export declare function handleToggleExpand<ID>(storeId: string, id: ID): void;
/**
 * Expand all nodes in the tree.
 */
export declare function expandAll(storeId: string): void;
/**
 * Collapse all nodes in the tree.
 */
export declare function collapseAll(storeId: string): void;
/**
 * Expand tree nodes of given ids. If the id is of a child, it also expands
 * its ancestors up to the root.
 * @param ids - Ids of nodes to expand.
 * @param _doNotExpandToShowChildren - If true, the function will not expand the ids to prevent
 * from showing their children.
 */
export declare function expandNodes<ID>(storeId: string, ids: ID[], _doNotExpandToShowChildren?: boolean): void;
/**
 * Collapse tree nodes of given ids. If the id is of a parent, it also collapses
 * its descendants.
 * @param ids - Ids of nodes to collapse.
 */
export declare function collapseNodes<ID>(storeId: string, ids: ID[]): void;
//# sourceMappingURL=expandCollapse.helper.d.ts.map